For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inbox views

Lists all views for a chatbot

get

Required Permission: chatbots.inbox.views.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot

Responses
200

List of all views.

application/json
errorstringOptional

Optional error message.

get
/v1/inbox/{chatbotId}/views

Creates a new view

post

Required Permission: chatbots.inbox.views.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot

Body
namestringRequired

The name of the view.

Example: Urgent requests
iconstringRequired

The name of the icon for the view.

Example: priority_high
tagsstring[]Required

A list of tag IDs for filtering.

Default: []
unreadbooleanRequired

Display only unread conversations.

Default: false
sortingstringRequired

Sort field (e.g., "created", "updated").

Example: updated
selfAssignedbooleanRequired

Display only self-assigned conversations.

Default: false
openbooleanRequired

Display open conversations.

Default: true
closedbooleanRequired

Display closed conversations.

Default: true
inProgressbooleanRequired

Display conversations in progress.

Default: true
sortingDirectionnumber · enumRequired

Sort direction

  • 0: ASC
  • 1: DESC
Possible values:
Responses
post
/v1/inbox/{chatbotId}/views

Retrieves a specific view

get

Required Permission: chatbots.inbox.views.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot

viewIdstringRequired

The ID of the view

Responses
200

View details.

application/json
errorstringOptional

Optional error message.

get
/v1/inbox/{chatbotId}/views/{viewId}

Updates an existing view

put

Required Permission: chatbots.inbox.views.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot

viewIdstringRequired

The ID of the view to update

Body
namestringRequired

The name of the view.

Example: Urgent requests
iconstringRequired

The name of the icon for the view.

Example: priority_high
tagsstring[]Required

A list of tag IDs for filtering.

Default: []
unreadbooleanRequired

Display only unread conversations.

Default: false
sortingstringRequired

Sort field (e.g., "created", "updated").

Example: updated
selfAssignedbooleanRequired

Display only self-assigned conversations.

Default: false
openbooleanRequired

Display open conversations.

Default: true
closedbooleanRequired

Display closed conversations.

Default: true
inProgressbooleanRequired

Display conversations in progress.

Default: true
sortingDirectionnumber · enumRequired

Sort direction

  • 0: ASC
  • 1: DESC
Possible values:
Responses
200

View updated successfully.

application/json
errorstringOptional

Optional error message.

put
/v1/inbox/{chatbotId}/views/{viewId}

Deletes a view

delete

Required Permission: chatbots.inbox.views.delete

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot

viewIdstringRequired

The ID of the view to delete

Responses
200

View deleted successfully.

No content

delete
/v1/inbox/{chatbotId}/views/{viewId}

No content

Lists conversations for a view

get

Required Permission: chatbots.conversations.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot

viewIdstringRequired

The ID of the view

Query parameters
limitnumberRequired
pageTokenstringRequired
Responses
200

List of conversations for the view.

application/json
nextPageTokenstringOptional

Token for the next page of results.

Example: eyJsYXN0SWQiOiJVMExYaTFHeUxSMk5qMTFOdDQzSiJ9
errorstringOptional

Optional error message.

get
/v1/inbox/{chatbotId}/views/{viewId}/conversations

Gets the conversation count for a view

get

Required Permission: chatbots.conversations.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot

viewIdstringRequired

The ID of the view

Responses
200

The conversation count for the view.

application/json
countnumberRequired

The number of conversations in the view.

Example: 42
get
/v1/inbox/{chatbotId}/views/{viewId}/count

Last updated